%define upstream_name    MooseX-AttributeShortcuts
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Shorthand for common attribute options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Ever find yourself repeatedly specifing writers and builders, because
there's no good shortcut to specifying them? Sometimes you want an
attribute to have a read-only public interface, but a private writer. And
wouldn't it be easier to just say "builder => 1" and have the attribute
construct the canonical "_build_$name" builder name for you?

This package causes an attribute trait to be applied to all attributes
defined to the using class. This trait extends the attribute option
processing to handle the above variations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Feb 06 2012 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 205172
- imported package perl-MooseX-AttributeShortcuts


* Mon Feb 06 2012 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
